#ifndef __wtw__events_h__
#define __wtw__events_h__

#include "wtwPlugin.h"
#include "wtwContact.h"

/////////////////////////////////////////////////////////////////////////////////
//
// WTW_EVENT_ALL_PLUGINS_LOADED
// 
// Gdy wszystkie plugi zostana zaladowane, to zostanie wywolany ten event
// 
// NULL, NULL
//

#define WTW_EVENT_ALL_PLUGINS_LOADED		L"WTW/OnPluginsLoaded"

/////////////////////////////////////////////////////////////////////////////////
//
// WTW_EVENT_SETTINGS_SAVED
// 
// Gdy wszystkie plugi zostana zaladowane, to zostanie wywolany ten event
// 
// NULL, NULL
//

#define WTW_EVENT_SETTINGS_SAVED		L"WTW/OnSettingsSaved"

/////////////////////////////////////////////////////////////////////////////////
//
// WTW_EVENT_HINT_DATA_REQUEST
// 
// komunikator pyta czy jakas wtyczka ma cos do dodania do hinta ktory
// wlasnie chce pokazac
// 
// wtwHintDataDef*, NULL
//

#define WTW_EVENT_HINT_DATA_REQUEST		L"WTW/OnHintDataRequest"

#define WTW_HINT_LOCATION_MAIN_WND		L"HL/MainWnd"

struct wtwHintDataDef {
	int				structSize;
	const wchar_t * locationID;

	wtwContactDef * ctDef;			// info o kontakcie, jesli jego to dotyczy;
	void		  * hData;			// jesli mamy cos do dodania to toprzekazujemy do funcji
									// addhintdata

};

/////////////////////////////////////////////////////////////////////////////////
//
// WTW_EVENT_SESSION_MODE_CHANGE
// 
// zmiana parametrow sesji, wParam - nowy tryb
// 
// 5 - logon
// 6 - logoff
// 7 - lock
// 8 - unlock
// 
// lparam - id sesji
//

#define WTW_EVENT_SESSION_MODE_CHANGE		L"WTW/OnSessionModeChange"

#endif