#ifndef __wtw_pl_sms__
#define __wtw_pl_sms__

#include "wtwPlugin.h"

#define WTW_SMST_CAPS_LOGIN		0x00000002
#define WTW_SMST_CAPS_OWN_NUM	0x00000004
#define WTW_SMST_CAPS_PAY		0x00000008
#define WTW_SMST_CAPS_DELAY		0x00000010
#define WTW_SMST_CAPS_FLASH		0x00000020
#define WTW_SMST_CAPS_MMS		0x00000040


#define WTW_SMST_OP_ERA			0x00000001
#define WTW_SMST_OP_HEYAH		0x00000002
#define WTW_SMST_OP_PLUS		0x00000004
#define WTW_SMST_OP_SSWOI		0x00000008
#define WTW_SMST_OP_MBANK		0x00000010
#define WTW_SMST_OP_PLAY		0x00000020
#define WTW_SMST_OP_WPMOBILE	0x00000040
#define WTW_SMST_OP_ORANGE		0x00000080

#define WTW_SMST_OP_EXTERNAL	0x10000000
#define WTW_SMST_OP_UNKNOWN		0x00000000

#define WTW_SMST_OP_ALL			0xFF00FFFF
#define WTW_SMST_OP_POLISH		0x0000FFFF


#define WTW_SMST_S_OK			0x00000000	// wszystko ok
#define WTW_SMST_S_ERROR		0x00000001	// bd, ale taki po ktorym mozna kontynuowac, ponowic
#define WTW_SMST_S_FATAL		0x00000002	// taki blad po ktorym nie mozna kontynuowac

struct wtwSMSTransport {
	int				structSize;
	const wchar_t * gateID;
	const wchar_t * gateName;

	DWORD			capsFlags;
	DWORD			suppOperators;
	const wchar_t * regURL;

	WTWFUNCTION		sendFunction;		// to bedzie wywoane z osobnego wtku, pamieta o tym, wP - smstsendmessage*
	WTWFUNCTION		confFunction;		// tu powinien byc modalny dialog umieszczony, wP - smstconfigure *
};

struct wtwSMSTConfigure{
	int				structSize;
	
	wchar_t		  * configString;			// bufor z aktualnym configstringiem, null terminated, typowy wstring.
	DWORD			configStringSizeMax;	// maksymalna ilosc danych jaka mzona skopiowac do bufora;
};

struct wtwSMSTSendMessage{
	int				structSize;

	const wchar_t * gateID;
	const wchar_t * configString;			// ustawienia profilu
	
	const wchar_t * phoneNum;				// tablica wskaznikow do numerow telefonow
	int				phoneNumCount;			// ilosc wskaznikow w powyzszej

	const wchar_t * message;				// tresc wiadomosci

	DWORD			delayTime;				// ilosc sekund o jaka opoznic wyslanie sms'a - jesli bamka posiada mozliwosc wysylki z opoznieniem
};


#endif