#pragma once

#include "wtwPlugin.h"
#include "wtwContact.h"

#define WTW_EVENT_ON_SOUND L"WTW/OnSoundEvent" // wParam = wtwSoundEvent*, zwrocic 1 jesli obsugujemy event

struct wtwSoundEvent {
	int				structSize;
	DWORD			event;

	wtwContactDef * pContact;			// to moze byc NULL

	DWORD			currentStatus;
	DWORD			hasDescription;
};

#define WSE_CONTACT_APPEARED	0x01
#define WSE_CONTACT_STATUS		0x02
#define WSE_CONTACT_TRAY_NOTIFY	0x03

#define WSE_NETWORK_LOGON		0x04
#define WSE_NETWORK_LOGOFF		0x05	// not used

#define WSE_CHATWND_OPEN_AUTO	0x06	// bo nadesza nowa wiadomo
#define WSE_CHATWND_OPEN_MANUAL	0x07	// bo otwarto okno rcznie
#define WSE_CHATWND_NEW_MESSAGE	0x08	
#define WSE_CHATWND_NEW_INFO	0x09
#define WSE_CHATWND_NEW_ERROR	0x0A
#define WSE_CHATWND_NEW_WARNING	0x0B

#define WSE_AUTHWND_POPUP		0x0C	// nowe pytania o autoryzacj

#define WSE_RECV_FILE			0x0D	// nowy plik

#define WSE_NEW_EMAIL			0x0E

#define WSE_MESSAGEWND_POPUP	0x0F
#define WSE_ALERT_RECV			0x10

