#ifndef __wtw__trayn_h__
#define __wtw__trayn_h__

#include "wtwPlugin.h"

/////////////////////////////////////////////////////////
//
// Tray Notify
//

#define WTW_SHOW_STANDARD_NOTIFY L"WTW/ShowStandardNotify"	// wparam - wywTrayNotifyDef *

#define WTW_TN_GRAPH_TYPE_CXIMAGE	1
#define WTW_TN_GRAPH_TYPE_SKINID	3
#define WTW_TN_GRAPH_TYPE_NONE		0

#define WTW_TN_EVENT_CLICKED		0x0001
#define WTW_TN_EVENT_DESTROYED		0x0002

#define WTW_TN_FLAG_OVERRIDE		0x00000001 // jesli nie pokazywac przy fullscrenie to zignorowac opcje i pokazac

struct wtwTrayNotyfiEvent {			// wparam w callbacku
	int				structSize;

	int				event;
	void *			ownerData;
};

struct wtwTrayNotifyDef {
	int				structSize;

	const wchar_t *	textLower;
	const wchar_t *	textMain;
	
	void		*	iconID;
	int				graphType;
	
	int				flags;

	WTWFUNCTION		callBack;		// lparam - wtwContactDef * albo NULL
	void		*	ownerData;
};

#endif